@echo off 
echo DevCoCast CBERS CCD and HRC resolution merge product for Latin America 
echo file name convention INPE_CBERS_2B_CHC_SA_20081225_072_D_090_3.tif.gz
echo enter as shortfilename the following text: 20081225_072_D_090_3, this can change
echo NOTE import only tested on sample data obtained from INPE, so filename convention might change
echo colour assignment bands 1, 2, 3 in RGB
echo file name convention has not been validated

set longfilename=%1
set shortfilename1=%longfilename:~0,20%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%

echo *%outputDrive%\%OutputDir%*

copy %inputDrive%\%InputDir%\INPE_CBERS_2B_CHC_SA_%shortfilename1%.tif.gz %OutputDrive%\%OutputDir%\*.*

%UtilDir%\7z e INPE_CBERS_2B_CHC_SA_%shortfilename1%.tif.gz

"%GdalDir%\gdal_translate.exe" -of ilwis INPE_CBERS_2B_CHC_SA_%shortfilename1%.tif %OutputDrive%\%OutputDir%\INPE_CBERS_2B_CHC_SA_%shortfilename1%.mpr

del INPE_CBERS_2B_CHC_SA_%shortfilename1%.rar

del INPE_CBERS_2B_CHC_SA_%shortfilename1%.tif.aux.xml

del INPE_CBERS_2B_CHC_SA_%shortfilename1%.tif

del INPE_CBERS_2B_CHC_SA_%shortfilename1%.tfw

del INPE_CBERS_2B_CHC_SA_%shortfilename1%.mpr.aux.xml
