rem @echo off
echo rem: extract Lowveld Fire Danger Index (FFDI) for the SADC region Africa
echo rem: both value map (v_CSIR_FFDI_..) and classified (c_CSIR_FFDI_..)
rem filename convention: CSIR_LFDI_200912221200.txt (ASCII format)

set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
cd\
%OutputDrive%
cd %OutputDir%



echo *%OutputDrive%\%OutputDir%*

copy %InputDrive%\%InputDir%\CSIR_LFDI_%shortfilename1%.txt



"%gdalDir%\gdal_translate" -of ilwis %OutputDrive%\%OutputDir%\CSIR_LFDI_%shortfilename1%.txt v_CSIR_LFDI_%shortfilename1%.mpr

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\v_CSIR_LFDI_%shortfilename1%.mpr %UtilDir%\lfdi;

%IlwDir%\ilwis.exe -C %OutputDrive%\%OutputDir%\c_CSIR_LFDI_%shortfilename1%.mpr{dom='%UtilDir%\fdi'}:=MapSlicing(%OutputDrive%\%OutputDir%\v_CSIR_LFDI_%shortfilename1%.mpr,'%UtilDir%\fdi');

del CSIR_LFDI_%shortfilename1%.txt
del v_CSIR_LFDI_%shortfilename1%.grf

del v_CSIR_LFDI_%shortfilename1%.mpr.aux.xml


