@echo off 
echo Chlorophyll-a concentration in sea water as measured by the MODIS sensor
echo mass concentration of chlorophyll in sea water
echo units: mg m^-3


set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%

echo *%outputDrive%\%OutputDir%*

copy %inputDrive%\%InputDir%\PML_modis_Mauritania_%shortfilename1%00.nc.gz %OutputDrive%\%OutputDir%\*.*

%UtilDir%\7z e PML_modis_Mauritania_%shortfilename1%00.nc.gz

"%GdalDir%\gdal_translate.exe" -of ilwis NETCDF:"PML_modis_Mauritania_%shortfilename1%00.nc":chlor_a %OutputDrive%\%OutputDir%\PML_MODIS_Mauritania_%shortfilename1%_chlor_a.mpr

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\PML_MODIS_Mauritania_%shortfilename1%_chlor_a.mpr %UtilDir%\pml_modis_Mauritania.grf;


del PML_MODIS_Mauritania_%shortfilename1%_chlor_a.grf
del PML_MODIS_Mauritania_%shortfilename1%00.nc.gz
del PML_MODIS_Mauritania_%shortfilename1%00.nc
del PML_MODIS_Mauritania_%shortfilename1%_chlor_a.mpr.aux.xml

