rem = official file name not confirmed (V2KRNS10__20091201_NDVI__S-America.ZIP)

@echo off 
echo output NDVI map is a value map, value ranges from 0 to 1
echo output Status map is a byte map, value ranges from 0 to 255

set longfilename=%1
set shortfilename1=%longfilename:~0,8%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8


cd\
%OutputDrive%
cd %OutputDir%

echo %inputDrive%\%InputDir%
echo %outputDrive%\%outputDir%

copy %inputDrive%\%InputDir%\V2KRNS10__%shortfilename1%_NDVI__S-America.ZIP

%UtilDir%\7z e V2KRNS10__%shortfilename1%_NDVI__S-America.ZIP 



ren 0001_NDV.HDF ndvi%shortfilename1%.hdf
ren 0001_SM.HDF ndvi%shortfilename1%SM.hdf



"%GdalDir%\gdal_translate.exe" -of ilwis "ndvi%shortfilename1%.hdf" tndvi%shortfilename1%
"%GdalDir%\gdal_translate.exe" -of ilwis "ndvi%shortfilename1%SM.hdf" tndvi%shortfilename1%_SM

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\ndvi%shortfilename1%.mpr{dom=value;vr=0.000:1.000:0.001}:=(%OutputDrive%\%OutputDir%\tndvi%shortfilename1%*0.004-0.1);

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\ndvi%shortfilename1%.mpr %UtilDir%\vgt4ndv_LA;

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\ndvi%shortfilename1%_SM.mpr{dom=image;vr=1:1:255}:=(%OutputDrive%\%OutputDir%\tndvi%shortfilename1%_SM);

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\ndvi%shortfilename1%_SM.mpr %UtilDir%\vgt4ndv_LA;



del "tndvi%shortfilename1%*".mp* 

del ndvi%shortfilename1%.hdf
del ndvi%shortfilename1%SM.hdf
del *.aux.xml
rd 0001
del 0001_log.txt
del 0001_QL.tif
del 0001_RIG.txt
del PHYS_VOL.txt
del V2KRNS10__%shortfilename1%_NDVI__S-America.ZIP