rem Output VPI_c map is class map in groups (expressing percentage)
rem class 1  0-20
rem class 2 20-40
rem class 3 40-60
rem class 4 60-80
rem class 4 80-100

rem  output VPI_v is value map in percentage


@echo off 
 


set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%
echo *%outputDrive%\%OutputDir%*

set longfilename=%1
set shortfilename1=%longfilename:~0,8%

copy %inputDrive%\%InputDir%\VGT4AFRICA_VPI_%shortfilename1%_Africa.zip

ren "VGT4AFRICA_VPI_%shortfilename1%_Africa.zip" temp.zip
%UtilDir%\pkunzip -e temp.zip %shortfilename1%/%shortfilename1%_VPI.HDF
ren temp.zip "VGT4AFRICA_VPI_%shortfilename1%_Africa.zip"
ren %shortfilename1%.HDF VPi%shortfilename1%.hdf

"%GdalDir%\gdal_translate.exe" -of ilwis vpi%shortfilename1%.hdf tvpi%shortfilename1%


"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\vpi1%shortfilename1%.mpr{dom=value;vr=-10.0000:300.0000:0.001}:=(%OutputDrive%\%OutputDir%\tvpi%shortfilename1%*0.5-10);
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\vpi1%shortfilename1%.mpr %UtilDir%\vgt4ndvi;
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\vpi%shortfilename1%v{dom=value;vr=0.0:100.0:0.1}:=iff(%OutputDrive%\%OutputDir%\vpi1%shortfilename1% le 100,%OutputDrive%\%OutputDir%\vpi1%shortfilename1%,?);
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\vpi%shortfilename1%c{dom='%UtilDir%\vpi_cl'}:=MapSlicing(%OutputDrive%\%OutputDir%\vpi%shortfilename1%v,'%UtilDir%\vpi_cl');




del "tvpi%shortfilename1%".mp* 
del "vpi1%shortfilename1%".mp* 
del *.xml
del *.hdf
del VGT4AFRICA_VPI_%shortfilename1%_Africa.zip
