@echo off



set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
cd\
%OutputDrive%
cd %OutputDir%

echo *%OutputDrive%\%OutputDir%*

copy %InputDrive%\%InputDir%\"L-000-MSG2__-MPEF________-AMV______-000001___-%shortfilename1%-__" %OutputDrive%\%OutputDir%\*.*
ren L-000-MSG2__-MPEF________-AMV______-000001___-%shortfilename1%-__ AMV%shortfilename1%

set VBUFR_TABLE_DIR=%UtilDir%\tables
set VBUFR_DATA_DIR=%OutputDrive%\%OutputDir%

call %UtilDir%\bufrtool.exe pick "AMV%shortfilename1%" 6001 5001 7004 11001 11002 12001 > %OutputDrive%\%OutputDir%\AMV%shortfilename1%_org.txt

call %UtilDir%\deletelines.exe "%OutputDrive%\%OutputDir%\AMV%shortfilename1%_org.txt" "%OutputDrive%\%OutputDir%\amv1.txt" 9


copy %UtilDIr%\amv1.dom amv%shortfilename1%.dom
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\amv_imp%shortfilename1%.tbt:=table(%OutputDrive%\%OutputDir%\amv1.txt,Space,Convert,none,ID(%OutputDrive%\%OutputDir%\amv%shortfilename1%.dom{id}),X(value.dom{-90:90:0.00001}),Y(value.dom{-90:90:0.00001}),Pressure_Pa(value.dom{0:1000000:0.1}),WindDirection(value.dom{0:360:0.1}),WindSpeed(value.dom{0:1000:0.1}),Temperature(value.dom{0:1000:0.1}));

"%IlwDir%\ilwis.exe" -C tabcalc %OutputDrive%\%OutputDir%\amv_imp%shortfilename1%.tbt low1:=iff(Pressure_Pa ge 65000,WindDirection,?);
"%IlwDir%\ilwis.exe" -C tabcalc %OutputDrive%\%OutputDir%\amv_imp%shortfilename1%.tbt mid1:=iff(inrange(Pressure_Pa,35000,65000),WindDirection,?);
"%IlwDir%\ilwis.exe" -C tabcalc %OutputDrive%\%OutputDir%\amv_imp%shortfilename1%.tbt high1:=iff(Pressure_Pa lt 35000,WindDirection,?);
"%IlwDir%\ilwis.exe" -C tabcalc %OutputDrive%\%OutputDir%\amv_imp%shortfilename1%.tbt color_low:=color(0,0,255);
"%IlwDir%\ilwis.exe" -C tabcalc %OutputDrive%\%OutputDir%\amv_imp%shortfilename1%.tbt color_mid:=color(0,255,0);
"%IlwDir%\ilwis.exe" -C tabcalc %OutputDrive%\%OutputDir%\amv_imp%shortfilename1%.tbt color_high:=color(255,0,0);
"%IlwDir%\ilwis.exe" -C tabcalc %OutputDrive%\%OutputDir%\amv_imp%shortfilename1%.tbt scale_speed:=WindSpeed*0.25;
"%IlwDir%\ilwis.exe" -C tabcalc %OutputDrive%\%OutputDir%\amv_imp%shortfilename1%.tbt approx_elev{dom=value;vr=0:25000:0.01}:=(-1/0.0001184*(ln(pressure_Pa/101325)));
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\amv_imp.mpp:=PointMapFromTable(%OutputDrive%\%OutputDir%\amv_imp%shortfilename1%,LatlonWGS84);
del amv*.mpv
copy %UtilDir%\maps\amv.mpv
ren amv.mpv amv%shortfilename1%.mpv
copy %UtilDir%\maps\country_samecode*.*
"%IlwDir%\ilwis.exe" -C show amv%shortfilename1%.mpv;


del amv*.txt
del AMV%shortfilename1%
