rem CSR-import
rem merging of files (type BUFR)
rem only percentage cloud cover is transformed into a grid map
rem for the undefined grid no information is avaialble from the source bufr data file
rem use is made of the MSG projection 
rem data is resampled from point to grid using a grid resolution of 48 km



set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8
cd\
%OutputDrive%
cd %OutputDir%




copy %InputDrive%\%InputDir%\"L-000-MSG2__-MPEF________-CSR______-00000?___-%shortfilename1%-__*.*" 
%UtilDir%\joinmsg.exe "L-000-MSG2__-MPEF________-CSR______-000001___-%shortfilename1%-__" %OutputDrive%\%OutputDir%\

ren L-000-MSG2__-MPEF________-CSR______-000001___-%shortfilename1%-__.xyz csr%shortfilename1%.bufr

set VBUFR_TABLE_DIR=%UtilDir%\tables
set VBUFR_DATA_DIR=%OutputDrive%\%OutputDir%

call %UtilDir%\bufrtool.exe pick "csr%shortfilename1%.bufr" 6001 5001 20081 20082 > %OutputDrive%\%OutputDir%\csr%shortfilename1%_org.txt

call %UtilDir%\deletelines.exe "%OutputDrive%\%OutputDir%\csr%shortfilename1%_org.txt" "%OutputDrive%\%OutputDir%\csr1.txt" 9



"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\csr%shortfilename1%.tbt:=table(%OutputDrive%\%OutputDir%\csr1.txt,Space,Convert,none,number(value.dom{0:50000:1}),X(value.dom{-90:90:0.00001}),Y(value.dom{-90:90:0.00001}),Perc_cloud(value.dom{0:100:1}),Perc_cloudfree(value.dom{0:100:1}))

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\csr_points%shortfilename1%.mpp:=PointMapFromTable(%OutputDrive%\%OutputDir%\csr%shortfilename1%,X,Y,LatlonWGS84,Perc_cloud)

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\csr_grid%shortfilename1%.mpr{dom=value;vr=0:100}:=MapRasterizePoint(%OutputDrive%\%OutputDir%\csr_points%shortfilename1%,'%UtilDir%\fcc0000'.grf,16)


del l-000-msg2__-mpef________-csr______-00000?___-%shortfilename1%-*.*
del csr1.txt
del csr%shortfilename1%.bufr
del csr%shortfilename1%_org.txt






