@echo off
echo rem: Fraction Vegetation Cover Europe (unit: 0 to 1, 1=100%)


set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8
cd\
%OutputDrive%
cd %OutputDir%



echo *%OutputDir%*

copy %InputDrive%\%InputDir%\"S-LSA_-HDF5_LSASAF_MSG_FVC_Euro_%shortfilename1%.bz2" 



"%UtilDir%\bzip2-104-x86-win32.exe" -d %OutputDrive%\%OutputDir%\S-LSA_-HDF5_LSASAF_MSG_FVC_Euro_%shortfilename1%.bz2


"%gdalDir%\gdal_translate.exe" -of ilwis hdf5:"S-LSA_-HDF5_LSASAF_MSG_FVC_Euro_%shortfilename1%"://fvc "%OutputDrive%\%OutputDir%\euro_%shortfilename1%"



"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\euro_%shortfilename1%.mpr %UtilDir%\lsa_euro;



"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\fvc_euro%shortfilename1%.mpr:=iff(%OutputDrive%\%OutputDir%\euro_%shortfilename1% ge 0,%OutputDrive%\%OutputDir%\euro_%shortfilename1%/10000,?)




del *.xml
del euro_%shortfilename1%.*
del S-LSA_-HDF5_LSASAF_MSG_FVC_Euro_*.*

