@echo off
echo rem: Import of Fenyung-2E, 5 km resolution satellite situated at 104.5 degree East
echo 5 channels, (T)IR and VIS 


set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
cd\
%OutputDrive%
cd %OutputDir%



echo *%OutputDrive%\%OutputDir%*


copy %InputDrive%\%InputDir%\Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_FDI_*.GZ %OutputDrive%\%OutputDir%\*.*

%UtilDir%\7z.exe e Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_FDI_*.gz

"%gdalDir%\gdal_translate" -of ilwis -of ilwis hdf5:"Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_FDI_IR1_001_NOM.hdf"://NOMChannelIR1 "%OutputDrive%\%OutputDir%\tfy2eir1%shortfilename1%"
"%gdalDir%\gdal_translate" -of ilwis -of ilwis hdf5:"Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_FDI_IR2_001_NOM.hdf"://NOMChannelIR2 "%OutputDrive%\%OutputDir%\tfy2eir2%shortfilename1%"
"%gdalDir%\gdal_translate" -of ilwis -of ilwis hdf5:"Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_FDI_IR3_001_NOM.hdf"://NOMChannelIR3 "%OutputDrive%\%OutputDir%\tfy2eir3%shortfilename1%"
"%gdalDir%\gdal_translate" -of ilwis -of ilwis hdf5:"Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_FDI_IR4_001_NOM.hdf"://NOMChannelIR4 "%OutputDrive%\%OutputDir%\tfy2eir4%shortfilename1%"
"%gdalDir%\gdal_translate" -of ilwis -of ilwis hdf5:"Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_FDI_VIS_001_NOM.hdf"://NOMChannelVIS "%OutputDrive%\%OutputDir%\tfy2evis%shortfilename1%"



"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\tfy2eir1%shortfilename1%.mpr %UtilDir%\fy2e_low;
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\tfy2eir2%shortfilename1%.mpr %UtilDir%\fy2e_low;
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\tfy2eir3%shortfilename1%.mpr %UtilDir%\fy2e_low;
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\tfy2eir4%shortfilename1%.mpr %UtilDir%\fy2e_low;
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\tfy2evis%shortfilename1%.mpr %UtilDir%\fy2e_low;


"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\fy2eir1_%shortfilename1%.mpr:=iff(%OutputDrive%\%OutputDir%\tfy2eir1%shortfilename1% ge 0,%OutputDrive%\%OutputDir%\tfy2eir1%shortfilename1%,?)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\fy2eir2_%shortfilename1%.mpr:=iff(%OutputDrive%\%OutputDir%\tfy2eir2%shortfilename1% ge 0,%OutputDrive%\%OutputDir%\tfy2eir2%shortfilename1%,?)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\fy2eir3_%shortfilename1%.mpr:=iff(%OutputDrive%\%OutputDir%\tfy2eir3%shortfilename1% ge 0,%OutputDrive%\%OutputDir%\tfy2eir3%shortfilename1%,?)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\fy2eir4_%shortfilename1%.mpr:=iff(%OutputDrive%\%OutputDir%\tfy2eir4%shortfilename1% ge 0,%OutputDrive%\%OutputDir%\tfy2eir4%shortfilename1%,?)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\fy2evis_%shortfilename1%.mpr:=iff(%OutputDrive%\%OutputDir%\tfy2evis%shortfilename1% ge 0,%OutputDrive%\%OutputDir%\tfy2evis%shortfilename1%,?)



del Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_FDI_*.HDF.gz
del *.hdf
del *.xml
del *.z
del tfy2eir*.*
del tfy2evis*.*