
rem input string required: 201002101400
rem rainfall intensity mm/30 minutes

set longfilename=%1
set shortfilename1=%longfilename:~0,8%
set shortfilename2=%longfilename:~8,4%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8


cd\
%OutputDrive%
cd %OutputDir%

echo *%OutputDir%*
copy %inputDrive%\%inputDir%\INPE_RFS_%shortfilename1%%shortfilename2%.tif.gz

"%UtilDir%\7z" e INPE_RFS_%shortfilename1%%shortfilename2%.tif.gz

ren hidro.30m.%shortfilename1%-%shortfilename2%.tif hidro30_%shortfilename1%%shortfilename2%.tif


"%GDALDir%\gdal_translate.exe" -of ilwis hidro30_%shortfilename1%%shortfilename2%.tif %OutputDrive%\%OutputDir%\hidro30_%shortfilename1%%shortfilename2%.mpr

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\hidro30_%shortfilename1%%shortfilename2%.mpr %UtilDir%\hidro_30m.grf;

del %OutputDrive%\%OutputDir%\hidro30_%shortfilename1%%shortfilename2%.csy
del %OutputDrive%\%OutputDir%\hidro30_%shortfilename1%%shortfilename2%.grf
del %OutputDrive%\%OutputDir%\hidro30_%shortfilename1%%shortfilename2%.tif
del %OutputDrive%\%OutputDir%\hidro30_%shortfilename1%%shortfilename2%.mpr.aux.xml