@echo off

rem: use as sstimport S-OSI_-FRA_-MULT-MAPSST_FIELD-200806110000Z.grb.gz only the yyyymmddhhmm format
rem output grib file format is safosst12map_goes12_20080611_0000_00000_format_0.grb



set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set shortfilename2=%longfilename:~0,8%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%

echo *%OutputDir%*

copy %InputDrive%\%InputDir%\S-OSI_-FRA_-MULT-MAPSST_FIELD-%shortfilename1%Z.grb.gz %OutputDrive%\%OutputDir%\temp%shortfilename1%.gz
%UtilDir%\7z.exe e %OutputDrive%\%OutputDir%\temp%shortfilename1%.gz 


ren safosst12map_msg02_%shortfilename2%_??00_???00_format_0.grb sst%shortfilename1%.grb


"%gdalDir%\gdal_translate" -of ilwis %OutputDrive%\%OutputDir%\sst%shortfilename1%.grb %OutputDrive%\%OutputDir%\sst1%shortfilename1%

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\sst%shortfilename1%.mpr{dom=value;vr=-1000.00:10000.00:0.01}:=iff(%OutputDrive%\%OutputDir%\sst1%shortfilename1% lt 8000,%OutputDrive%\%OutputDir%\sst1%shortfilename1%,?);

sleep 15


del sst1%shortfilename1%.mp* 
del sst*.grb
del temp%shortfilename1%.gz

