rem @echo off
echo rem: extract McArthur Forest Fire Danger Index (FFDI) for the SADC region Africa
rem filename convention: CSIR_FFDI_200912221200.txt (ASCII format)

set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
cd\
%OutputDrive%
cd %OutputDir%



echo *%OutputDrive%\%OutputDir%*

copy %InputDrive%\%InputDir%\CSIR_FFDI_%shortfilename1%.txt



"%gdalDir%\gdal_translate" -of ilwis %OutputDrive%\%OutputDir%\CSIR_FFDI_%shortfilename1%.txt CSIR_FFDI_%shortfilename1%.mpr

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\CSIR_FFDI_%shortfilename1%.mpr %UtilDir%\ffdi;

del CSIR_FFDI_%shortfilename1%.txt
del CSIR_FFDI_%shortfilename1%.grf
del CSIR_FFDI_%shortfilename1%.mpr.aux.xml



