@echo off 
echo Mean Diffuse Attenuation Coefficient at 490nm
echo Kd_490 standard_name: volume attenuation coefficient of downwelling radiative flux in sea water
echo Kd_490 units = m-1



set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%

echo *%outputDrive%\%OutputDir%*

copy %inputDrive%\%InputDir%\PML_modis_Ghana_%shortfilename1%00.nc.gz %OutputDrive%\%OutputDir%\*.*

%UtilDir%\7z e PML_modis_Ghana_%shortfilename1%00.nc.gz

"%GdalDir%\gdal_translate.exe" -of ilwis NETCDF:"PML_modis_Ghana_%shortfilename1%00.nc":Kd_490 %OutputDrive%\%OutputDir%\PML_MODIS_Ghana_%shortfilename1%_Kd_490.mpr

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\PML_MODIS_Ghana_%shortfilename1%_Kd_490.mpr %UtilDir%\pml_modis_ghana.grf;


del PML_MODIS_Ghana_%shortfilename1%_Kd_490.grf
del PML_MODIS_Ghana_%shortfilename1%00.nc.gz
del PML_MODIS_Ghana_%shortfilename1%00.nc
del PML_MODIS_Ghana_%shortfilename1%_Kd_490.mpr.aux.xml

