rem Output DMPI_c map is class map in groups (expressed in kgDM/ha/day)


rem output VPI_v is value map in kgDM/ha/day (value range from min=0 to max=327.67)


@echo off 


set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%
 echo *%outputDrive%\%OutputDir%*

set longfilename=%1
set shortfilename1=%longfilename:~0,8%

copy %inputDrive%\%InputDir%\VGT4AFRICA_DMP_%shortfilename1%_Africa.zip

ren "VGT4AFRICA_DMP_%shortfilename1%_Africa.zip" temp.zip
%UtilDir%\pkunzip -e temp.zip %shortfilename1%/%shortfilename1%_DMP.HDF
ren temp.zip "VGT4AFRICA_DMP_%shortfilename1%_Africa.zip"
ren %shortfilename1%.HDF DMP%shortfilename1%.hdf

"%GdalDir%\gdal_translate.exe" -of ilwis dmp%shortfilename1%.hdf tdmp%shortfilename1%


"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\dmp%shortfilename1%v.mpr{dom=value;vr=-0.0000:500.0000:0.001}:=(%OutputDrive%\%OutputDir%\tdmp%shortfilename1%*0.01);
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\dmp%shortfilename1%v.mpr %UtilDir%\vgt4ndvi;
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\dmp%shortfilename1%cl{dom='%UtilDir%\dmp'}:=MapSlicing(%OutputDrive%\%OutputDir%\dmp%shortfilename1%v,'%UtilDir%\dmp');



del tdmp%shortfilename1%.mp* 
del *.hdf
del *.xml
del VGT4AFRICA_DMP_%shortfilename1%_Africa.zip