
@echo off 
echo output is value map, value range from -1 to 1
echo use as representation the NDWI-rpr
rem filename convention: g2_BIOPAR_NDWI_201004010000_S-America_VGT_V0.1.zip

set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%
echo *%outputDrive%\%OutputDir%*

set longfilename=%1
set shortfilename1=%longfilename:~0,8%

copy %inputDrive%\%InputDir%\g2_BIOPAR_NDWI_%shortfilename1%0000_S-America_VGT_V0.1.zip

%UtilDir%\7z e %outputDrive%\%OutputDir%\g2_BIOPAR_NDWI_%shortfilename1%0000_S-America_VGT_V0.1.zip %shortfilename1%/g2_BIOPAR_NDWI_%shortfilename1%0000_S-America_VGT_V0.1.HDF

ren g2_BIOPAR_NDWI_%shortfilename1%0000_S-America_VGT_V0.1.HDF ndwi%shortfilename1%.hdf

"%gdalDIr%\gdal_translate.exe" -of ilwis ndwi%shortfilename1%.hdf tndwi%shortfilename1%


"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\ndwi%shortfilename1%.mpr{dom=value;vr=-1.0000:1.0000:0.001}:=(%OutputDrive%\%OutputDir%\tndwi%shortfilename1%*0.008-1);
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\ndwi%shortfilename1%.mpr %UtilDir%\vgt4ndv_LA;



del "tndwi%shortfilename1%".mp* 
del *.hdf
del *.xml
del g2_BIOPAR_NDWI_%shortfilename1%0000_S-America_VGT_V0.1.zip