@echo off


set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%

echo *%OutputDir%*

copy %InputDrive%\%InputDir%\S-LSA_-HDF5_LSASAF_MSG_ALBEDO_NAfr_%shortfilename1%.bz2 %OutputDrive%\%OutputDir%\*.*
copy %InputDrive%\%InputDir%\S-LSA_-HDF5_LSASAF_MSG_ALBEDO_SAfr_%shortfilename1%.bz2 %OutputDrive%\%OutputDir%\*.*


"%UtilDir%\bzip2-104-x86-win32.exe" -d %OutputDrive%\%OutputDir%\S-LSA_-HDF5_LSASAF_MSG_ALBEDO_NAfr_%shortfilename1%.bz2
"%UtilDir%\bzip2-104-x86-win32.exe" -d %OutputDrive%\%OutputDir%\S-LSA_-HDF5_LSASAF_MSG_ALBEDO_SAfr_%shortfilename1%.bz2

"%gdalDir%\gdal_translate" -of ilwis hdf5:"S-LSA_-HDF5_LSASAF_MSG_ALBEDO_NAfr_%shortfilename1%"://AL-BB-BH "%OutputDrive%\%OutputDir%\nafr_%shortfilename1%"
"%gdalDir%\gdal_translate" -of ilwis hdf5:"S-LSA_-HDF5_LSASAF_MSG_ALBEDO_SAfr_%shortfilename1%"://AL-BB-BH "%OutputDrive%\%OutputDir%\safr_%shortfilename1%"


"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\nafr_%shortfilename1%.mpr %UtilDir%\lst_north;
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\safr_%shortfilename1%.mpr %UtilDir%\lst_south;


"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\falb_africa%shortfilename1%.mpr:=MapGlue('%UtilDir%\lst_whole'.grf,%OutputDrive%\%OutputDir%\nafr_%shortfilename1%,%OutputDrive%\%OutputDir%\safr_%shortfilename1%,replace)

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\albedo_africa%shortfilename1%.mpr:=iff(%OutputDrive%\%OutputDir%\falb_africa%shortfilename1% gt -1,%OutputDrive%\%OutputDir%\falb_africa%shortfilename1%/100,?)



del falb_africa*.mp*
del *.xml
del nafr_%shortfilename1%.*
del safr_%shortfilename1%.*
del S-LSA_-HDF5_LSASAF_MSG_ALBEDO_*.*
