
@echo off
rem Humidity product analysed by cloud information product 
rem at 300, 400, 500, 700, 850, 925 and 1000 hPa



set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8
cd\
%OutputDrive%
cd %OutputDir%

echo *%OutputDir%*

copy %InputDrive%\%InputDir%\Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_300hPa.AWX.gz %OutputDrive%\%OutputDir%\*.*
copy %InputDrive%\%InputDir%\Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_400hPa.AWX.gz %OutputDrive%\%OutputDir%\*.*
copy %InputDrive%\%InputDir%\Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_500hPa.AWX.gz %OutputDrive%\%OutputDir%\*.*
copy %InputDrive%\%InputDir%\Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_700hPa.AWX.gz %OutputDrive%\%OutputDir%\*.*
copy %InputDrive%\%InputDir%\Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_850hPa.AWX.gz %OutputDrive%\%OutputDir%\*.*
copy %InputDrive%\%InputDir%\Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_925hPa.AWX.gz %OutputDrive%\%OutputDir%\*.*
copy %InputDrive%\%InputDir%\Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_1000hPa.AWX.gz %OutputDrive%\%OutputDir%\*.*

%UtilDir%\7z e Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_300hPa.AWX.gz
%UtilDir%\7z e Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_400hPa.AWX.gz
%UtilDir%\7z e Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_500hPa.AWX.gz
%UtilDir%\7z e Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_700hPa.AWX.gz
%UtilDir%\7z e Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_850hPa.AWX.gz
%UtilDir%\7z e Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_925hPa.AWX.gz
%UtilDir%\7z e Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_1000hPa.AWX.gz


"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\cma_hpf300_%shortfilename1%:=map('%OutputDrive%\%OutputDir%\Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_300hPa.AWX',genras,Convert,1001,2002,byte,1,NoSwap)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\cma_hpf400_%shortfilename1%:=map('%OutputDrive%\%OutputDir%\Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_400hPa.AWX',genras,Convert,1001,2002,byte,1,NoSwap)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\cma_hpf500_%shortfilename1%:=map('%OutputDrive%\%OutputDir%\Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_500hPa.AWX',genras,Convert,1001,2002,byte,1,NoSwap)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\cma_hpf700_%shortfilename1%:=map('%OutputDrive%\%OutputDir%\Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_700hPa.AWX',genras,Convert,1001,2002,byte,1,NoSwap)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\cma_hpf850_%shortfilename1%:=map('%OutputDrive%\%OutputDir%\Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_850hPa.AWX',genras,Convert,1001,2002,byte,1,NoSwap)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\cma_hpf925_%shortfilename1%:=map('%OutputDrive%\%OutputDir%\Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_925hPa.AWX',genras,Convert,1001,2002,byte,1,NoSwap)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\cma_hpf1000_%shortfilename1%:=map('%OutputDrive%\%OutputDir%\Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_1000hPa.AWX',genras,Convert,1001,2002,byte,1,NoSwap)


"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\cma_hpf300_%shortfilename1%.mpr %UtilDir%\fy2e_clt.grf 
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\cma_hpf400_%shortfilename1%.mpr %UtilDir%\fy2e_clt.grf
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\cma_hpf500_%shortfilename1%.mpr %UtilDir%\fy2e_clt.grf
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\cma_hpf700_%shortfilename1%.mpr %UtilDir%\fy2e_clt.grf
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\cma_hpf850_%shortfilename1%.mpr %UtilDir%\fy2e_clt.grf
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\cma_hpf925_%shortfilename1%.mpr %UtilDir%\fy2e_clt.grf
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\cma_hpf1000_%shortfilename1%.mpr %UtilDir%\fy2e_clt.grf

copy %UtilDir%\fy2e_clt.grf
copy %UtilDir%\cma_hpf.mpl cma_hpf1.mpl

echo cma_hpf300> commands.txt
echo cma_hpf300_%shortfilename1%>> commands.txt
echo y >> commands.txt
%UtilDir%\replace.exe cma_hpf1.mpl < commands.txt

echo cma_hpf400> commands.txt
echo cma_hpf400_%shortfilename1%>> commands.txt
echo y >> commands.txt
%UtilDir%\replace.exe cma_hpf1.mpl < commands.txt

echo cma_hpf500> commands.txt
echo cma_hpf500_%shortfilename1%>> commands.txt
echo y >> commands.txt
%UtilDir%\replace.exe cma_hpf1.mpl < commands.txt

echo cma_hpf700> commands.txt
echo cma_hpf700_%shortfilename1%>> commands.txt
echo y >> commands.txt
%UtilDir%\replace.exe cma_hpf1.mpl < commands.txt

echo cma_hpf850> commands.txt
echo cma_hpf850_%shortfilename1%>> commands.txt
echo y >> commands.txt
%UtilDir%\replace.exe cma_hpf1.mpl < commands.txt

echo cma_hpf925> commands.txt
echo cma_hpf925_%shortfilename1%>> commands.txt
echo y >> commands.txt
%UtilDir%\replace.exe cma_hpf1.mpl < commands.txt

echo cma_hpf1000> commands.txt
echo cma_hpf1000_%shortfilename1%>> commands.txt
echo y >> commands.txt
%UtilDir%\replace.exe cma_hpf1.mpl < commands.txt



ren cma_hpf1.mpl cma_hpf_%shortfilename1%.mpl
del commands.txt


del Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_300hPa.AWX.gz
del Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_400hPa.AWX.gz
del Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_500hPa.AWX.gz
del Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_700hPa.AWX.gz
del Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_850hPa.AWX.gz
del Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_925hPa.AWX.gz
del Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_1000hPa.AWX.gz

del Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_300hPa.AWX
del Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_400hPa.AWX
del Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_500hPa.AWX
del Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_700hPa.AWX
del Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_850hPa.AWX
del Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_925hPa.AWX
del Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_HPF_MLT_003_NOM_1000hPa.AWX