@echo off
rem Down-welling Surface Long-wave Radiation Flux 
rem  <MDI key="DSLF">SCALING_FACTOR=10</MDI> 
rem  <MDI key="DSLF">OFFSET=0</MDI> 
rem  <MDI key="DSLF">MISSING_VALUE=0</MDI> 
rem  <MDI key="DSLF">UNITS=Wm-2</MDI> 
rem  <MDI key="DSLF">CAL_SLOPE=999</MDI> 
rem  <MDI key="DSLF">CAL_OFFSET=999</MDI> 


set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8
cd\
%OutputDrive%
cd %OutputDir%

echo *%OutputDir%*

copy %InputDrive%\%InputDir%\S-LSA_-HDF5_LSASAF_MSG_DSLF_Euro_%shortfilename1%.bz2 %OutputDrive%\%OutputDir%\*.*



"%UtilDir%\\bzip2-104-x86-win32.exe" -d %OutputDrive%\%OutputDir%\S-LSA_-HDF5_LSASAF_MSG_DSLF_Euro_%shortfilename1%.bz2

"%gdalDir%\gdal_translate" -of ilwis hdf5:"S-LSA_-HDF5_LSASAF_MSG_DSLF_Euro_%shortfilename1%"://DSLF "%OutputDrive%\%OutputDir%\euro_%shortfilename1%"



"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\euro_%shortfilename1%.mpr %UtilDir%\lsa_euro;



"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\dslf_euro%shortfilename1%.mpr:=iff(%OutputDrive%\%OutputDir%\euro_%shortfilename1% gt 0,%OutputDrive%\%OutputDir%\euro_%shortfilename1%/10.00,?)




del *.xml
del euro_%shortfilename1%.*

del S-LSA_-HDF5_LSASAF_MSG_DSLF_Euro_*.*
