@echo off
echo rem: Import of Fenyung-2E, 1.25 km resolution satellite, panchromatic channel situated at 104.5 degree East



set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
cd\
%OutputDrive%
cd %OutputDir%


echo *%inputdrive% %inputdir%*
echo *%OutputDir%*


copy %InputDrive%\%InputDir%\Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_FDI_VIS1KM_001_NOM.HDF.GZ %OutputDrive%\%OutputDir%\*.*

%UtilDir%\7z.exe e %OutputDrive%\%OutputDir%\Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_FDI_VIS1KM_001_NOM.HDF.GZ

"%gdalDir%\gdal_translate" -of ilwis hdf5:"%OutputDrive%\%OutputDir%\Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_FDI_VIS1KM_001_NOM.HDF"://NOMChannelVIS1KM "%OutputDrive%\%OutputDir%\tfy2epan%shortfilename1%"

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\rawfy2epan%shortfilename1%:=maplist('%OutputDrive%\%OutputDir%\tfy2epan%shortfilename1%.MP#',genras,Convert,9152,4,0,BIL,Byte,1,NoSwap,CreateMpr)

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\raw1fy2esum.mpr:=MapMaplistStatistics(%OutputDrive%\%OutputDir%\rawfy2epan%shortfilename1%.mpl,Sum)

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\raw1fy2esum.mpr %UtilDir%\raw2.grf

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\fy2epan_%shortfilename1%.mpr{dom=image;vr=0:255}:=MapResample(%OutputDrive%\%OutputDir%\raw1fy2esum,'%UtilDir%\fy2e_high'.grf,bilinear)




del tfy2cpan%shortfilename1%.mp*
del Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_FDI_VIS1KM_001_NOM.HDF.gz
del Z_SATE_C_BABJ_%shortfilename1%00_O_FY2E_FDI_VIS1KM_001_NOM.HDF
del tfy2epan%shortfilename1%.*
del rawfy2e*.*
del raw1fy2e*.*