rem //import GOES12-east LRIT from geonetcast

@echo off


set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%

echo *%OutputDrive%\%OutputDir%*

echo *import the 007 channel, convert to albedo*
copy %InputDrive%\%InputDir%\L-000-MSG2__-GOES12______-00_7_075W-00000?___-%shortfilename1%-C_ %OutputDrive%\%OutputDir%\

"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-00_7_075W-000001___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-00_7_075W-000002___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-00_7_075W-000003___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-00_7_075W-000004___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-00_7_075W-000005___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-00_7_075W-000006___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-00_7_075W-000007___-%shortfilename1%-C_"


"%UtilDir%\joinmsg.exe" "L-000-MSG2__-GOES12______-00_7_075W-000001___-%shortfilename1%-__" %OutputDrive%\%OutputDir%\
"%UtilDir%\unpack.exe" "L-000-MSG2__-GOES12______-00_7_075W-000001___-%shortfilename1%-__.xyz"


"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\test007.mpr:=map('%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-00_7_075W-000001___-%shortfilename1%-__.unpacked',genras,Convert,2816,0,Int,2,Swap)
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\test007.mpr %UtilDir%\goese_4.grf 

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\ge007_a%shortfilename1%:=100*(%OutputDrive%\%OutputDir%\test007/1023)

echo *import the 039 channel, convert to temperature*
copy %InputDrive%\%InputDir%\L-000-MSG2__-GOES12______-03_9_075W-00000?___-%shortfilename1%-C_ %OutputDrive%\%OutputDir%\

"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-03_9_075W-000001___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-03_9_075W-000002___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-03_9_075W-000003___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-03_9_075W-000004___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-03_9_075W-000005___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-03_9_075W-000006___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-03_9_075W-000007___-%shortfilename1%-C_"

"%UtilDir%\joinmsg.exe" "L-000-MSG2__-GOES12______-03_9_075W-000001___-%shortfilename1%-__" %OutputDrive%\%OutputDir%\
"%UtilDir%\unpack.exe" "L-000-MSG2__-GOES12______-03_9_075W-000001___-%shortfilename1%-__.xyz"


"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\test039.mpr:=map('%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-03_9_075W-000001___-%shortfilename1%-__.unpacked',genras,Convert,2816,0,Int,2,Swap)
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\test039.mpr %UtilDir%\goese_4.grf 

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\ge039_t%shortfilename1%:=((330.5-160)/1023)*%OutputDrive%\%OutputDir%\test039+160



echo  *import the 066 channel, convert to temperature*
copy %InputDrive%\%InputDir%\L-000-MSG2__-GOES12______-06_6_075W-00000?___-%shortfilename1%-C_ %OutputDrive%\%OutputDir%\

"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-06_6_075W-000001___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-06_6_075W-000002___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-06_6_075W-000003___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-06_6_075W-000004___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-06_6_075W-000005___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-06_6_075W-000006___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-06_6_075W-000007___-%shortfilename1%-C_"

"%UtilDir%\joinmsg.exe" "L-000-MSG2__-GOES12______-06_6_075W-000001___-%shortfilename1%-__" %OutputDrive%\%OutputDir%\
"%UtilDir%\unpack.exe" "L-000-MSG2__-GOES12______-06_6_075W-000001___-%shortfilename1%-__.xyz"


"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\test066.mpr:=map('%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-06_6_075W-000001___-%shortfilename1%-__.unpacked',genras,Convert,2816,0,Int,2,Swap)
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\test066.mpr %UtilDir%\goese_4.grf 

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\ge066_t%shortfilename1%:=((330.5-160)/1023)*%OutputDrive%\%OutputDir%\test066+160


echo *import the 107 channel, convert to temperature*

copy %InputDrive%\%InputDir%\L-000-MSG2__-GOES12______-10_7_075W-00000?___-%shortfilename1%-C_ %OutputDrive%\%OutputDir%\

"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-10_7_075W-000001___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-10_7_075W-000002___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-10_7_075W-000003___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-10_7_075W-000004___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-10_7_075W-000005___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-10_7_075W-000006___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-10_7_075W-000007___-%shortfilename1%-C_"


"%UtilDir%\joinmsg.exe" "L-000-MSG2__-GOES12______-10_7_075W-000001___-%shortfilename1%-__" %OutputDrive%\%OutputDir%
"%UtilDir%\unpack.exe" "L-000-MSG2__-GOES12______-10_7_075W-000001___-%shortfilename1%-__.xyz"


"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\test107.mpr:=map('%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES12______-10_7_075W-000001___-%shortfilename1%-__.unpacked',genras,Convert,2816,0,Int,2,Swap)
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\test107.mpr %UtilDir%\goese_4.grf 

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\ge107_t%shortfilename1%:=((330.5-160)/1023)*%OutputDrive%\%OutputDir%\test107+160



cd\
%OutputDrive%
cd %OutputDir%
del test*.*
del L-000-MSG2__-GOES12*.*

