rem // Import LRIT MTSAT-1R from geonetcast

echo off


set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%

echo *%OutputDrive%\%OutputDir%*



echo *import the 007 channel, DN values* 

copy %InputDrive%\%InputDir%\L-000-MSG2__-MTSAT1R_____-00_7_140E-00000?___-%shortfilename1%-C_ %OutputDrive%\%OutputDir%\
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-00_7_140E-000001___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-00_7_140E-000002___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-00_7_140E-000003___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-00_7_140E-000004___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-00_7_140E-000005___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-00_7_140E-000006___-%shortfilename1%-C_"

"%UtilDir%\joinmsg.exe" "L-000-MSG2__-MTSAT1R_____-00_7_140E-000001___-%shortfilename1%-__" %OutputDrive%\%OutputDir%\

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\mtsat1r007_%shortfilename1%:=map('%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-00_7_140E-000001___-%shortfilename1%-__.xyz',genras,Convert,2752,0,Byte,1,NoSwap)

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\mtsat1r007_%shortfilename1%.mpr %UtilDir%\mtsat1r.grf 



echo *import the 038 channel, DN values*  

copy %InputDrive%\%InputDir%\L-000-MSG2__-MTSAT1R_____-03_8_140E-00000?___-%shortfilename1%-C_ %OutputDrive%\%OutputDir%\
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-03_8_140E-000001___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-03_8_140E-000002___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-03_8_140E-000003___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-03_8_140E-000004___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-03_8_140E-000005___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-03_8_140E-000006___-%shortfilename1%-C_"

"%UtilDir%\joinmsg.exe" "L-000-MSG2__-MTSAT1R_____-03_8_140E-000001___-%shortfilename1%-__" %OutputDrive%\%OutputDir%\

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\tmtsat1r038_%shortfilename1%:=map('%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-03_8_140E-000001___-%shortfilename1%-__.xyz',genras,Convert,2752,0,Byte,1,NoSwap)

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\tmtsat1r038_%shortfilename1%.mpr %UtilDir%\mtsat1r.grf
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\mtsat1r038_%shortfilename1%:=255-tmtsat1r038_%shortfilename1%



echo *import the 068 channel, DN values* 

copy %InputDrive%\%InputDir%\L-000-MSG2__-MTSAT1R_____-06_8_140E-00000?___-%shortfilename1%-C_ %OutputDrive%\%OutputDir%\
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-06_8_140E-000001___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-06_8_140E-000002___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-06_8_140E-000003___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-06_8_140E-000004___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-06_8_140E-000005___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-06_8_140E-000006___-%shortfilename1%-C_"

"%UtilDir%\joinmsg.exe" "L-000-MSG2__-MTSAT1R_____-06_8_140E-000001___-%shortfilename1%-__" %OutputDrive%\%OutputDir%\

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\tmtsat1r068_%shortfilename1%:=map('%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-06_8_140E-000001___-%shortfilename1%-__.xyz',genras,Convert,2752,0,Byte,1,NoSwap)

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\tmtsat1r068_%shortfilename1%.mpr %UtilDir%\mtsat1r.grf 
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\mtsat1r068_%shortfilename1%:=255-tmtsat1r068_%shortfilename1%



echo *import the 108 channel, DN values* 

copy %InputDrive%\%InputDir%\L-000-MSG2__-MTSAT1R_____-10_8_140E-00000?___-%shortfilename1%-C_ %OutputDrive%\%OutputDir%\
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-10_8_140E-000001___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-10_8_140E-000002___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-10_8_140E-000003___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-10_8_140E-000004___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-10_8_140E-000005___-%shortfilename1%-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-10_8_140E-000006___-%shortfilename1%-C_"

"%UtilDir%\joinmsg.exe" "L-000-MSG2__-MTSAT1R_____-10_8_140E-000001___-%shortfilename1%-__" %OutputDrive%\%OutputDir%\

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\tmtsat1r108_%shortfilename1%:=map('%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-10_8_140E-000001___-%shortfilename1%-__.xyz',genras,Convert,2752,0,Byte,1,NoSwap)

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\tmtsat1r108_%shortfilename1%.mpr %UtilDir%\mtsat1r.grf 
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\mtsat1r108_%shortfilename1%:=255-tmtsat1r108_%shortfilename1%


del L-000-MSG2__-MTSAT1R*.*
del tmtsat1R*.*

