@echo off 
echo INPE NDVI product for Latin America
echo file name convention INPE_NDV_20100101_20100115.tif.gz
echo only sample data used
echo data divided by 10000 (coefficient needs validation)
echo date string to be entered: 20100101_20100115 >> start and end time indicates 15 days duration
echo still GDAL problem

set longfilename=%1
set shortfilename1=%longfilename:~0,17%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%

echo *%outputDrive%\%OutputDir%*

copy %inputDrive%\%InputDir%\INPE_NDV_%shortfilename1%.tif.gz %OutputDrive%\%OutputDir%\*.*

%UtilDir%\7z e INPE_NDV_%shortfilename1%.tif.gz

"%GDALDir%\gdal_translate.exe" -of envi INPE_NDV_%shortfilename1%.tif %OutputDrive%\%OutputDir%\INPE_NDV_%shortfilename1%
"%GDALDir%\gdal_translate.exe" -of ilwis INPE_NDV_%shortfilename1% %OutputDrive%\%OutputDir%\tINPE_NDV_%shortfilename1%.mpr

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\INPE_NDV_%shortfilename1%.mpr{dom=value;vr=0.000:1.000:0.0001}:=(%OutputDrive%\%OutputDir%\tINPE_NDV_%shortfilename1%/10000);


del INPE_NDV_%shortfilename1%.tif.gz
del INPE_NDV_%shortfilename1%.tif
del INPE_NDV_%shortfilename1%
del INPE_NDV_%shortfilename1%.hdr
del INPE_NDV_%shortfilename1%.aux.xml
del tINPE_NDV_%shortfilename1%.mp*

