rem: import and process MODIS FIRE PRODUCT 
rem: file name syntax of the fire product is "MOD14.P2008325.1315.hdf.gz"
rem: file name syntax of the fire product is "MOD14.A2008325.1315.hdf.gz"
@echo off


set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8
rem set MODIS_DAY=%9

cd\
%OutputDrive%
cd %OutputDir%

echo *%OutputDrive%\%OutputDir%

copy %InputDrive%\%InputDir%\MOD14.?20??%9.????.hdf.gz %OutputDrive%\%OutputDir%\*.*
rem copy %InputDrive%\%InputDir%\MOD14.?20??%9.????.hdf.gz %OutputDrive%\%OutputDir%\*.*
for %%j in (*.gz) do %UtilDir%\7z.exe e %OutputDrive%\%OutputDir%\%%j


for %%j in (MOD14.P*.hdf) do cmd /c %IlwDir%\Extensions\Geonetcast-Toolbox\toolbox_batchroutines\modis_extractfiresP.bat %%j
for %%j in (MOD14.A*.hdf) do cmd /c %IlwDir%\Extensions\Geonetcast-Toolbox\toolbox_batchroutines\modis_extractfiresA.bat %%j

cd\
%OutputDrive%
cd %OutputDir%

for %%j in (*.shp) do cmd /c %IlwDir%\Extensions\Geonetcast-Toolbox\toolbox_batchroutines\modisfire_ilwisimport.bat %%j



