
@echo off



set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
cd\
%OutputDrive%
cd %OutputDir%

echo *%OutputDrive%\%OutputDir%*

copy %InputDrive%\%InputDir%\"L-000-MSG1__-MPEF_RSS____-GII______-000001___-%shortfilename1%-__" %OutputDrive%\%OutputDir%\*.*
ren L-000-MSG1__-MPEF_RSS____-GII______-000001___-%shortfilename1%-__ GII%shortfilename1%

set VBUFR_TABLE_DIR=%UtilDir%\tables
set VBUFR_DATA_DIR=%OutputDrive%\%OutputDir%

rem: import GII bufr file (x,y,k_index)

call %UtilDir%\bufrtool.exe pick "GII%shortfilename1%" 6001 5001 13044 > GII%shortfilename1%_org.txt

rem: 9 header lines are deleted from the ascii txt file

call %UtilDir%\deletelines.exe "%OutputDrive%\%OutputDir%\GII%shortfilename1%_org.txt" "%OutputDrive%\%OutputDir%\GII%shortfilename1%.txt" 9

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\GII%shortfilename1%:=table(%OutputDrive%\%OutputDir%\GII%shortfilename1%.txt,Space,Convert,none,id(value.dom{1:30000:1}),x(value.dom{-90.0000:90.0000:1e-005}),y(value.dom{-90.0000:90.0000:1e-005}),k_index(value.dom{-1000:1000:0.1})


rem creation of point maps

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\k_index%shortfilename1%.mpp:=PointMapFromTable('%OutputDrive%\%OutputDir%\gii%shortfilename1%',x,y,LatlonWGS84,k_index);

rem: creation of raster maps, using point size of 5 as the spatial resolution of the data is 15 km

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\k_index.mpr{dom=value;vr=-100.0:100.0:0.1}:=MapRasterizePoint(%OutputDrive%\%OutputDir%\k_index%shortfilename1%,'%UtilDir%\gii_grf'.grf,5);


del K_indexmaps*.mpv
copy %UtilDir%\maps\K_indexmaps.mpv
ren K_indexmaps.mpv K_indexmaps%shortfilename1%.mpv
copy %UtilDir%\maps\gii_grf.grf
copy %UtilDir%\maps\gii_grf.csy
copy %UtilDir%\maps\country_samecode.*

"%IlwDir%\ilwis.exe" -C show K_indexmaps%shortfilename1%.mpv;



del GII%shortfilename1%
del GII%shortfilename1%.txt
del GII%shortfilename1%_org.txt